package yaes.ui.propertysheet;

import java.util.Collection;
import java.util.ListIterator;
import java.util.Vector;

public class StringList extends Vector<Object> implements ValueList {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private final int MAX_ITEMS = 20;

	public StringList() {
		super();
	}

	@SuppressWarnings("unchecked")
	public StringList(Collection c) {
		super(c);
	}

	public String getText() {
		final StringBuffer strBuffer = new StringBuffer();
		final ListIterator<Object> iter = this.listIterator();
		while (iter.hasNext()) {
			strBuffer.append(iter.next().toString());
			final int index = iter.nextIndex();
			if (index > MAX_ITEMS - 1) {
				strBuffer.append("<br>...more...");
				break;
			} else if (index < this.size()) {
				strBuffer.append("<br>");
			}
		}
		final String result = "<HTML>" + strBuffer.toString() + "</HTML>";
		return result;
	}

	public String getValueType() {
		return new String().getClass().getName();
	}
}
