package yaes.ui.visualization.application.sensornetwork;

import java.awt.Color;
import java.awt.Graphics2D;
import yaes.ui.visualization.IPainter;
import yaes.ui.visualization.VisualMapPanel;

public class TransmissionGroundMapPainter implements IPainter {
	private final Color bgColor = Color.white;

	public void paint(Graphics2D g, Object o, VisualMapPanel panel) {
		if (o instanceof TransmissionGroundMap) {
			final TransmissionGroundMap map = (TransmissionGroundMap) o;
			g.setColor(bgColor);
			g.fill3DRect(0, 0, map.getWidth(), map.getHeight(), true);
		}
	}

	public int getLayer() {
		return 9;
	}
}
