package yaes.ui.propertysheet;

import java.beans.PropertyEditorSupport;

public class IntegerEnumerationEditor extends PropertyEditorSupport {
	IntegerEnumeration ie;

	public IntegerEnumerationEditor() {
	}

	@Override
	public String getAsText() {
		return "" + ie.getValueAsString();
	}

	@Override
	public String[] getTags() {
		return ie.getLabels();
	}

	@Override
	public Object getValue() {
		return ie;
	}

	@Override
	public void setAsText(String s) {
		ie.setValueFromString(s);
	}

	@Override
	public void setValue(Object o) {
		ie = (IntegerEnumeration) o;
	}

	public boolean supportsEditingTaggedValues() {
		return false;
	}
}
