package yaes.ui.propertysheet;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.logging.Logger;

public class IntegerEnumerationType {
	private static final Logger LOGGER = Logger
			.getLogger("com.cplane.ic.gui.enumeration");
	private static final String PREFIX = "EnumValue_";

	public IntegerEnumerationType() {
	}

	public void addEnumValue(String label, int value) {
		setInt(IntegerEnumerationType.PREFIX + label, value);
	}

	private int getInt(String key) {
		throw new Error("Not implemented yet");
		// return 0;
	}

	public String getLabelOfValue(int value) {
		for (final Iterator<?> it = getValues().keySet().iterator(); it.hasNext();) {
			final String key = (String) it.next();
			if (key.startsWith(IntegerEnumerationType.PREFIX)) {
				final int i = getInt(key);
				if (i == value) {
					return key
							.substring(IntegerEnumerationType.PREFIX.length());
				}
			}
		}
		return null;
	}

	public String[] getLabels() {
		final Set<?> keys = getValues().keySet();
		final Set<String> labels = new HashSet<String>();
		for (final Iterator<?> it = keys.iterator(); it.hasNext();) {
			final String key = (String) it.next();
			if (key.startsWith(IntegerEnumerationType.PREFIX)) {
				labels.add(key
						.substring(IntegerEnumerationType.PREFIX.length()));
			}
		}
		int index = 0;
		final String retval[] = new String[labels.size()];
		for (final Iterator<String> it = labels.iterator(); it.hasNext();) {
			final String key = it.next();
			retval[index++] = key;
		}
		return retval;
	}

	public int getValueOfLabel(String label) {
		return getInt(IntegerEnumerationType.PREFIX + label);
	}

	private Map getValues() {
		throw new Error("Not implemented yet!");
	}

	private void setInt(String string, int value) {
		throw new Error("Not implemented yet!");
	}

	@Override
	public String toString() {
		final StringBuffer temp = new StringBuffer();
		temp.append("Enumeration:\n");
		final String[] labels = getLabels();
		for (int i = 0; i != labels.length; i++) {
			temp.append("\t" + labels[i] + " = " + getValueOfLabel(labels[i]));
		}
		return temp.toString();
	}
}
