package yaes.ui.visualization;

import yaes.framework.world.map.INamed;

public class GenericInspector implements IInspector {
	/**
	 * Tries to infer the type of the object to be browsed.
	 */
	public String getLineDescriptor(Object o) {
		if (o instanceof INamed) {
			return o.getClass().getSimpleName() + ": " + ((INamed) o).getName();
		}
		return "unknown " + o.getClass().toString();
	}

	public String getLongDescriptor(Object o) {
		return o.toString();
	}
}
