package yaes.ui.visualization;

import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.geom.Point2D;

/**
 * A class containing static functions for painting stuff
 * 
 * @author Lotzi Boloni
 * 
 */
public class PainterHelper {
	/**
	 * Paints a label. 
	 * TODO: background etc.
	 * 
	 * @param g
	 * @param label
	 * @param x
	 * @param y
	 */
	public static void paintLabel(Graphics2D g, String label, Point2D.Double point, int deltaX, int deltaY, VisualMapPanel panel) {
		final Font f = g.getFont();
		final int fontSize = 10;
		final Font f2 = f.deriveFont(Font.BOLD, fontSize);
		g.setFont(f2);
		Point2D.Double pointTr = new Point2D.Double();
		panel.getTheTransform().transform(point, pointTr);
		g.drawString(label, (int)pointTr.getX() + deltaX, (int)pointTr.getY() + deltaY);
	}
}
